import { ResponsiveType, SizeType } from '../../../types/ui.type';
import { ResponsiveFormatter } from './responsive-formatter';
declare type ResponsiveSizeType = number | `${number}%` | null;
/**
 * A class for format SizeType
 *
 * @augments ResponsiveSizeFormatter
 */
declare class ResponsiveSizeFormatter implements ResponsiveFormatter<SizeType, number | string | null> {
  /**
   * Given a responsive size, return the size according current window width
   *
   * @param {ResponsiveType<SizeType>} input - ResponsiveScope
   * @returns {ResponsiveSizeType} - size.
   */
  format(input: ResponsiveType<SizeType>): ResponsiveSizeType;
}
declare const _default: ResponsiveSizeFormatter;
export default _default;
